SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

USE `cofree`;

-- -----------------------------------------------------
-- Table `cofree`.`Questionario`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`Questionario` (
  `idQuestionario` INT NOT NULL ,
  `nomeProjeto` VARCHAR(45) NULL ,
  `email` VARCHAR(45) NULL ,
  `idadeAno` INT NULL ,
  `idadeMes` INT NULL ,
--  `dataResposta` DATE NOT NULL ,
 PRIMARY KEY (`idQuestionario`) )
 ENGINE = InnoDB
 DEFAULT CHARACTER SET = latin1
 COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`TipoLicenca`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`TipoLicenca` (
  `idTipoLicenca` INT NOT NULL ,
  `descricao` VARCHAR(45) NOT NULL ,
  `parecerAtratividade` VARCHAR(1500) NOT NULL ,
  `impactoAtratividade` VARCHAR(8) NOT NULL ,
 PRIMARY KEY (`idTipoLicenca`) )
 ENGINE = InnoDB
 DEFAULT CHARACTER SET = latin1
 COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`Licenca`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`Licenca` (
  `idLicenca` INT NOT NULL ,
  `descricao` VARCHAR(45) NOT NULL ,
  `FK_idTipoLicenca` INT NOT NULL ,
  PRIMARY KEY (`idLicenca`) ,
  INDEX `FK_idTipoLicenca` (`FK_idTipoLicenca` ASC) ,
  CONSTRAINT `FK_idTipoLicenca`
    FOREIGN KEY (`FK_idTipoLicenca` )
    REFERENCES `cofree`.`TipoLicenca` (`idTipoLicenca` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
 ENGINE = InnoDB
 DEFAULT CHARACTER SET = latin1
 COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`LicencaQuestionario`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`LicencaQuestionario` (
  `FK_idLicenca` INT NOT NULL ,
  `FK_idQuestionario` INT NOT NULL ,
  INDEX `FK_idLicenca` (`FK_idLicenca` ASC) ,
  PRIMARY KEY (`FK_idLicenca`, `FK_idQuestionario`) ,
  INDEX `FK_idQuestionario` (`FK_idQuestionario` ASC) ,
  CONSTRAINT `FK_idLicenca`
    FOREIGN KEY (`FK_idLicenca` )
    REFERENCES `cofree`.`Licenca` (`idLicenca` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_idQuestionario`
    FOREIGN KEY (`FK_idQuestionario` )
    REFERENCES `cofree`.`Questionario` (`idQuestionario` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
 ENGINE = InnoDB
 DEFAULT CHARACTER SET = latin1
 COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`EstagioCicloVida`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`EstagioCicloVida` (
  `idEstagioCicloVida` INT NOT NULL ,
  `descricao` VARCHAR(15) NOT NULL ,
  `parecerAtratividade` VARCHAR(1500) NOT NULL ,
  `impactoAtratividade` VARCHAR(8) NOT NULL ,
  PRIMARY KEY (`idEstagioCicloVida`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`EstagioCicloVidaQuestionario`
-- -----------------------------------------------------

CREATE  TABLE IF NOT EXISTS `cofree`.`EstagioCicloVidaQuestionario` (
  `FK_idEstagioCicloVida` INT NOT NULL ,
  `FK_idQuestionario` INT NOT NULL ,
  PRIMARY KEY (`FK_idEstagioCicloVida`, `FK_idQuestionario`) ,
  INDEX `FK_idEstagioCicloVida` (`FK_idEstagioCicloVida` ASC) ,
  INDEX `FK_idQuestionario` (`FK_idQuestionario` ASC) ,
  CONSTRAINT `FK_idEstagioCicloVida`
    FOREIGN KEY (`FK_idEstagioCicloVida` )
    REFERENCES `cofree`.`EstagioCicloVida` (`idEstagioCicloVida` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
 CONSTRAINT `FK_idQuestionario`
   FOREIGN KEY (`FK_idQuestionario` )
    REFERENCES `cofree`.`Questionario` (`idQuestionario` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
-- ENGINE = InnoDB -- Mudar no Adm. MySql depois!
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`FinalidadeProjeto`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`FinalidadeProjeto` (
  `idFinalidadeProjeto` INT NOT NULL ,
  `descricao` VARCHAR(30) NOT NULL ,
  `parecerAtratividade` VARCHAR(1500) NOT NULL ,
  `impactoAtratividade` VARCHAR(8) NOT NULL ,
  PRIMARY KEY (`idFinalidadeProjeto`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`FinalidadeProjetoQuestionario`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`FinalidadeProjetoQuestionario` (
  `FK_idFinalidadeProjeto` INT NOT NULL ,
  `FK_idQuestionario` INT NOT NULL ,
  PRIMARY KEY (`FK_idFinalidadeProjeto`, `FK_idQuestionario`) ,
  INDEX `FK_idFinalidadeProjeto` (`FK_idFinalidadeProjeto` ASC) ,
  INDEX `FK_idQuestionario` (`FK_idQuestionario` ASC) ,
  CONSTRAINT `FK_idFinalidadeProjeto`
    FOREIGN KEY (`FK_idFinalidadeProjeto` )
    REFERENCES `cofree`.`FinalidadeProjeto` (`idFinalidadeProjeto` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_idQuestionario`
    FOREIGN KEY (`FK_idQuestionario` )
    REFERENCES `cofree`.`Questionario` (`idQuestionario` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
-- ENGINE = InnoDB -- Mudar no Adm. MySql depois!
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`PublicoProjeto`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`PublicoProjeto` (
  `idPublicoProjeto` INT NOT NULL ,
  `descricao` VARCHAR(30) NOT NULL ,
  `parecerAtratividade` VARCHAR(1500) NOT NULL ,
  `impactoAtratividade` VARCHAR(8) NOT NULL ,
  PRIMARY KEY (`idPublicoProjeto`) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`PublicoProjetoQuestionario`
-- -----------------------------------------------------

SHOW WARNINGS;
CREATE  TABLE IF NOT EXISTS `cofree`.`PublicoProjetoQuestionario` (
  `FK_idPublicoProjeto` INT NOT NULL ,
  `FK_idQuestionario` INT NOT NULL ,
  PRIMARY KEY (`FK_idPublicoProjeto`, `FK_idQuestionario`) ,
  INDEX `FK_idPublicoProjeto` (`FK_idPublicoProjeto` ASC) ,
  INDEX `FK_idQuestionario` (`FK_idQuestionario` ASC) ,
  CONSTRAINT `FK_idPublicoProjeto`
    FOREIGN KEY (`FK_idPublicoProjeto` )
    REFERENCES `cofree`.`PublicoProjeto` (`idPublicoProjeto` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `FK_idQuestionario`
    FOREIGN KEY (`FK_idQuestionario` )
    REFERENCES `cofree`.`Questionario` (`idQuestionario` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
-- ENGINE = InnoDB -- Mudar no Adm. MySql depois!
DEFAULT CHARACTER SET = latin1
COLLATE = latin1_general_ci;

SHOW WARNINGS;

-- -----------------------------------------------------
-- Table `cofree`.`IdadeProjeto`
-- -----------------------------------------------------

-- SHOW WARNINGS;
-- CREATE  TABLE IF NOT EXISTS `cofree`.`IdadeProjeto` (
--  `FK_idQuestionario` INT NOT NULL ,
--  `parecerAtratividade` VARCHAR(1500) NOT NULL ,
--  `impactoAtratividade` VARCHAR(8) NOT NULL ,
--  PRIMARY KEY (`FK_idQuestionario`) ,
--  INDEX `FK_idQuestionario` (`FK_idQuestionario` ASC) ,
--  CONSTRAINT `FK_idQuestionario`
--    FOREIGN KEY (`FK_idQuestionario` )
--    REFERENCES `cofree`.`Questionario` (`idQuestionario` )
--    ON DELETE NO ACTION
--    ON UPDATE NO ACTION)
-- ENGINE = InnoDB
-- DEFAULT CHARACTER SET = latin1
-- COLLATE = latin1_general_ci;

-- SHOW WARNINGS;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
